Rasa X Cannot converse in UI

I created a new conda environment. Installed latest rasa and rasa x. I started with rasa init. After training did rasa x on terminal. When UI opens, I say ‘hello’ and gets db errors. I have tried changing rasa versions but still get same errors. I can’t start conversing not only in normal mode but also not in Rasa X interactive mode. Normal rasa shell and rasa interactive commands are working fine on terminal.

Here is error on terminal I get, when I say word “hello” on terminal, Moreover the text in the box of rasa X UI also disappears after pressing “Enter” on word “Hello”.

`[2019-11-25 15:30:37 +0500] [12955] [ERROR] Exception occurred while handling uri: ‘http://localhost:5005/conversations/89794c1c7bc045fdade417da2baf5553/tracker?include_events=ALL’ Traceback (most recent call last): File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1246, in _execute_context cursor, statement, parameters, context File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/default.py”, line 581, in do_execute cursor.execute(statement, parameters) sqlite3.OperationalError: locking protocol

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sanic/app.py”, line 942, in handle_request response = await response File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/server.py”, line 168, in decorated result = await result File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/server.py”, line 434, in retrieve_tracker tracker = get_tracker(app.agent, conversation_id) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/server.py”, line 204, in get_tracker tracker = agent.tracker_store.get_or_create_tracker(conversation_id) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/tracker_store.py”, line 115, in get_or_create_tracker tracker = self.retrieve(sender_id) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/tracker_store.py”, line 685, in retrieve .order_by(self.SQLEvent.timestamp) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/orm/query.py”, line 3211, in all return list(self) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/orm/query.py”, line 3367, in iter return self._execute_and_instances(context) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/orm/query.py”, line 3392, in _execute_and_instances result = conn.execute(querycontext.statement, self._params) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 982, in execute return meth(self, multiparams, params) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/sql/elements.py”, line 287, in _execute_on_connection return connection._execute_clauseelement(self, multiparams, params) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1101, in _execute_clauseelement distilled_params, File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1250, in _execute_context e, statement, parameters, cursor, context File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1476, in _handle_dbapi_exception util.raise_from_cause(sqlalchemy_exception, exc_info) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/util/compat.py”, line 398, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=cause) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/util/compat.py”, line 152, in reraise raise value.with_traceback(tb) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1246, in _execute_context cursor, statement, parameters, context File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/default.py”, line 581, in do_execute cursor.execute(statement, parameters) sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) locking protocol [SQL: SELECT events.id AS events_id, events.sender_id AS events_sender_id, events.type_name AS events_type_name, events.timestamp AS events_timestamp, events.intent_name AS events_intent_name, events.action_name AS events_action_name, events.data AS events_data FROM events WHERE events.sender_id = ? ORDER BY events.timestamp] [parameters: (‘89794c1c7bc045fdade417da2baf5553’,)] (Background on this error at: http://sqlalche.me/e/e3q8) 2019-11-25 15:30:53 ERROR rasa.core.channels.channel - An exception occured while handling user message ‘hello’. Traceback (most recent call last): File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1246, in _execute_context cursor, statement, parameters, context File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/default.py”, line 581, in do_execute cursor.execute(statement, parameters) sqlite3.OperationalError: locking protocol

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/channels/channel.py”, line 486, in receive metadata=metadata, File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/channels/channel.py”, line 82, in handler await app.agent.handle_message(*args, **kwargs) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/agent.py”, line 471, in handle_message return await processor.handle_message(message) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/processor.py”, line 80, in handle_message tracker = await self.log_message(message, should_save_tracker=False) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/processor.py”, line 150, in log_message tracker = self._get_tracker(message.sender_id) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/processor.py”, line 576, in _get_tracker return self.tracker_store.get_or_create_tracker(sender_id) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/tracker_store.py”, line 115, in get_or_create_tracker tracker = self.retrieve(sender_id) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/rasa/core/tracker_store.py”, line 685, in retrieve .order_by(self.SQLEvent.timestamp) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/orm/query.py”, line 3211, in all return list(self) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/orm/query.py”, line 3367, in iter return self._execute_and_instances(context) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/orm/query.py”, line 3392, in _execute_and_instances result = conn.execute(querycontext.statement, self._params) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 982, in execute return meth(self, multiparams, params) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/sql/elements.py”, line 287, in _execute_on_connection return connection._execute_clauseelement(self, multiparams, params) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1101, in _execute_clauseelement distilled_params, File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1250, in _execute_context e, statement, parameters, cursor, context File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1476, in _handle_dbapi_exception util.raise_from_cause(sqlalchemy_exception, exc_info) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/util/compat.py”, line 398, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=cause) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/util/compat.py”, line 152, in reraise raise value.with_traceback(tb) File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/base.py”, line 1246, in _execute_context cursor, statement, parameters, context File “/mnt/d/InstalledSoftware/ubuntu-on-windows/anaconda3/envs/test_2/lib/python3.6/site-packages/sqlalchemy/engine/default.py”, line 581, in do_execute cursor.execute(statement, parameters) sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) locking protocol [SQL: SELECT events.id AS events_id, events.sender_id AS events_sender_id, events.type_name AS events_type_name, events.timestamp AS events_timestamp, events.intent_name AS events_intent_name, events.action_name AS events_action_name, events.data AS events_data FROM events WHERE events.sender_id = ? ORDER BY events.timestamp] [parameters: (‘89794c1c7bc045fdade417da2baf5553’,)] (Background on this error at: http://sqlalche.me/e/e3q8)`

Another thing I should tell is I am using ubuntu 18.04 on Windows subsystem on Linux.

After a week of struggling, found that issue is in WSL

1 Like

Thanks for sharing the solution! It’ll help other users using WSL.